Bug 426898 - hp-sendfax hangs forever
hp-sendfax hangs forever
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks: F8Target 475181
  Show dependency treegraph
 
Reported: 2007-12-28 01:53 EST by Wart
Modified: 2009-12-18 01:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:02:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to set correct fax temp directory (3.71 KB, patch)
2007-12-28 01:53 EST, Wart
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 153152 None None None Never

  None (edit)
Description Wart 2007-12-28 01:53:52 EST
Description of problem:
Can't add a file to the hp-sendfax interface.  It opens up a dialog that says
"Processing fax file..." and hangs forever.

Version-Release number of selected component (if applicable):
hplip-2.7.7-6.fc8.x86_64

How reproducible:
Always

Additional info:
This is the same bug reported on the hplip forums.  The attached patch was
extracted from this report, and fixes the problem on my system:
https://bugs.launchpad.net/ubuntu/+source/hplip/+bug/153152
Comment 1 Wart 2007-12-28 01:53:53 EST
Created attachment 290483 [details]
Patch to set correct fax temp directory
Comment 2 Wart 2007-12-28 11:40:34 EST
Using this patch results in a few selinux avc denials that can be fixed by
adding these policy rules:

files_manage_generic_tmp_dirs(hplip_t)
files_manage_generic_tmp_files(hplip_t)
Comment 3 Oli Wade 2008-06-20 12:43:24 EDT
I am experiencing this bug also and would be happy to assist with any testing
if/as required - let me know what needs to be done...
Comment 4 Bug Zapper 2008-11-26 04:11:46 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Oli Wade 2008-12-06 07:19:28 EST
This problem is also affecting RHEL 5.2 (hplip-1.6.7-4.1.el5_2.4).

Can the product be changed to that instead, so the bug can remain open?
Comment 6 Bug Zapper 2009-01-09 02:33:16 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Tim Waugh 2009-01-09 07:05:50 EST
Well, if HPLIP is eliminated from the problem, it must be foo2zjs.
Comment 8 Tim Waugh 2009-01-12 05:27:29 EST
Comment #7 was intended for another bug -- please ignore.
Comment 9 Oli Wade 2009-05-28 05:55:25 EDT
RHEL bug #475181 (though the underlying cause seems to be different).
Comment 10 Oli Wade 2009-05-28 05:57:49 EDT
I've tried this now on Fedora 10 (hplip-2.8.12-6.fc10.x86_64) and the fax sending is still broken in the same way.

Can this bug be reopened/updated accordingly?
Comment 11 Bug Zapper 2009-11-18 07:24:17 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-12-18 01:02:13 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.